/*

	Copyright (c) 2020, 2023, The Unified Company.

	This code is part of Unify.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the ESA Software Community License - Strong Copyleft LICENSE,
	as published by the ESA.
	See the ESA Software Community License - Strong Copyleft LICENSE, for more details.

	https://unifyjs.org 

*/

import querySQL	 		from './querySQL.js';

class joinSide{

	table;

	column;

}

export default class joinSQL extends querySQL{

	__className		= "joinSQL";
	
	type	= "join";
	
	left 	= new joinSide();

	right	= new joinSide();
	
	joins		= new Array();
	
	querys		= new Array();
	
	addJoin( join ) {
	
		this.joins.push( join );
	
	}
	
	addQuery( query ) {
	
		this.querys.push( query );
	
	}

}
